Rails.application.routes.draw do

  locales = Site.first.in_use_locales rescue I18n.available_locales
  
  scope "(:locale)", locale: Regexp.new(locales.join("|")) do
     namespace :admin do
        get "galleries/get_photoData_json" => "galleries#get_photoData_json"
        
       	resources :galleries do
           get "imgs" => "galleries#imgs"
        end
       	resources :images
       	post "galleries/upload_image" => "galleries#upload_image"
        
        get "new_images" => "galleries#new_images"
        post "galleries/set_cover" => "galleries#set_cover"
        post "galleries/delete_photos" => "images#delete_photos"
        post "galleries/update_image" => "images#update_image"
        post "galleries/image_tagging" => "images#image_tagging"
        # match "image_tagging" => "album_images#image_tagging"
     end
    
   end
end
